GDB (API)

Public Attributes | List of all members
fn_fieldlist Struct Reference

`#include "gdbtypes.h"`

## Public Attributes
const char * | name
int | length
struct fn_field * | fn_fields

## Detailed Description

Definition at line 812 of file gdbtypes.h.

## Member Data Documentation

## ◆ fn_fields

struct fn_field* fn_fieldlist::fn_fields

The list of methods.

Definition at line 827 of file gdbtypes.h.

## ◆ length

int fn_fieldlist::length

The number of methods with this name.

Definition at line 823 of file gdbtypes.h.

## ◆ name

const char* fn_fieldlist::name

The overloaded name. This is generally allocated in the objfile's obstack. However stabsread.c sometimes uses malloc.

Definition at line 819 of file gdbtypes.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbtypes.h